<template>
  <div>
    <Order v-for="order in orders" :key="order.id" :order="order" class="order" :manager-mode="managerMode" />
  </div>
</template>

<script>
import Order from "@/components/orders/Order";

export default {
  name: "OrderList",
  components: {
    Order
  },
  props: {
    orders: {
      type: Array,
      required: true
    },
    managerMode: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.order
  &:not(:last-child)
    margin-bottom $md
</style>